org.omg.CosNaming

## Class NamingContextExtPOA

- java.lang.Object
- - org.omg.PortableServer.Servant
  - - org.omg.CosNaming.NamingContextExtPOA

All Implemented Interfaces:
  InvokeHandler, NamingContextExtOperations, NamingContextOperations

    public abstract class NamingContextExtPOA
    extends Servant
    implements NamingContextExtOperations, InvokeHandler

`NamingContextExt` is the extension of `NamingContext` which contains a set of name bindings in which each name is unique and is part of Interoperable Naming Service. Different names can be bound to an object in the same or different contexts at the same time. Using `NamingContextExt`, you can use URL-based names to bind and resolve.

See CORBA COS Naming Specification.

### Constructor Summary

Constructors
Constructor and Description
`NamingContextExtPOA()`

### Method Summary

Methods
`String[]` `_all_interfaces(POA poa, byte[] objectId)` Used by the ORB to obtain complete type information from the servant.
`OutputStream` `_invoke(String $method, InputStream in, ResponseHandler $rh)` Invoked by the ORB to dispatch a request to the servant.
`NamingContextExt` `_this()`
`NamingContextExt` `_this(ORB orb)`

### Methods inherited from class org.omg.PortableServer.Servant

`_default_POA, _get_delegate, _get_interface_def, _is_a, _non_existent, _object_id, _orb, _poa, _set_delegate, _this_object, _this_object`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.omg.CosNaming.NamingContextExtOperations

`resolve_str, to_name, to_string, to_url`

### Methods inherited from interface org.omg.CosNaming.NamingContextOperations

`bind_context, bind_new_context, bind, destroy, list, new_context, rebind_context, rebind, resolve, unbind`

### Constructor Detail

#### NamingContextExtPOA

    public NamingContextExtPOA()

### Method Detail

#### _invoke

    public OutputStream _invoke(String $method,
                       InputStream in,
                       ResponseHandler $rh)

Description copied from interface: `InvokeHandler`
Invoked by the ORB to dispatch a request to the servant. ORB passes the method name, an InputStream containing the marshalled arguments, and a ResponseHandler which the servant uses to construct a proper reply. Only CORBA SystemException may be thrown by this method. The method must return an OutputStream created by the ResponseHandler which contains the marshalled reply. A servant must not retain a reference to the ResponseHandler beyond the lifetime of a method invocation. Servant behaviour is defined as follows:

1. Determine correct method, and unmarshal parameters from InputStream.

2. Invoke method implementation.

3. If no user exception, create a normal reply using ResponseHandler.

4. If user exception occurred, create exception reply using ResponseHandler.

5. Marshal reply into OutputStream returned by ResponseHandler.

6. Return OutputStream to ORB.

Specified by:
  `_invoke` in interface `InvokeHandler`
Parameters:
  `$method` - The method name.
  `in` - The `InputStream` containing the marshalled arguments.
  `$rh` - The `ResponseHandler` which the servant uses to construct a proper reply
Returns:
  The `OutputStream` created by the ResponseHandler which contains the marshalled reply

#### _all_interfaces

    public String[] _all_interfaces(POA poa,
                           byte[] objectId)

Description copied from class: `Servant`
Used by the ORB to obtain complete type information from the servant.

Specified by:
  `_all_interfaces` in class `Servant`
Parameters:
  `poa` - POA with which the servant is associated.
  `objectId` - is the id corresponding to the object associated with this servant.
Returns:
  list of type information for the object.

#### _this

    public NamingContextExt _this()

#### _this

    public NamingContextExt _this(ORB orb)

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.